MS14-021: Security update for Internet Explorer: May 1, 2014

The update that this article describes has been replaced by a newer update. We recommend that you install the most current cumulative security update for Internet Explorer. To install the most current update, visit the following Microsoft website:
For more technical information about the most current cumulative security update for Internet Explorer, visit the following Microsoft website:

INTRODUCTION

Microsoft has released security bulletin MS14-021. Learn more about how to obtain the fixes that are included in this security bulletin:

How to obtain help and support for this security update

Help installing updates:
Support for Microsoft Update

Security solutions for IT professionals:
TechNet Security Troubleshooting and Support

Help protect your Windows-based computer from viruses and malware: Virus Solution and Security Center

Local support according to your country:
International Support

More Information

Known issues and more information about this security update

This security update is not a cumulative security update. The update addresses only the vulnerability that is described in bulletin MS14-021. Before you install this security update, you must install the latest cumulative security update for Internet Explorer. Customers who have not installed the latest cumulative security update for Internet Explorer will likely experience compatibility issues. or example, Internet Explorer may intermittently stop responding after you install the MS14-021 update.

Important The order of installation does matter. To avoid compatibility issues, you must install the MS14-021 security update after you install the latest cumulative security update for Internet Explorer.

For details about this update, refer to the following table.

Version of Internet ExplorerLatest cumulative update that must be applied prior to installing the MS14-021 update
Internet Explorer 6, Internet Explorer 7, Internet Explorer 8, and Internet Explorer 9 in all supported releases of WindowsMS14-018
Internet Explorer 10 in all supported releases of WindowsMS14-018 (Note This was a non-security update for Internet Explorer 10.)
Internet Explorer 11 in Windows 7 or Windows Server 2008 R2For the 2964444 update: MS14-012 (Note MS14-018 was not a cumulative update for Internet Explorer 11.)

For the 2964358 update: 2929437
Internet Explorer 11 in Windows 8.1, Windows Server 2012 R2, or Windows RT 8.1For the 2964444 update: MS14-012 (Note MS14-018 was not a cumulative update for Internet Explorer 11.)

For the 2964358 update: 2919355

The following articles contain more information about this security update as it relates to individual product versions. These articles may contain known issue information. If this is the case, the known issue is listed under each article link.
  • 2964444 Description of the security update for Internet Explorer 11 for systems that do not have security update 2929437 or 2919355 installed: May 1, 2014
  • 964358 Description of the security update for Internet Explorer: May 1, 2014
    Known issues in security update 2964358:

    • Internet Explorer will crash if you try to install security update 2964358 on a Windows 7-based system that does not already have security update 2929437 installed. To avoid this issue, take either of the following actions:
      • Install security update 2929437, and then install security update 2964358.
      • Install security update 2964444 instead of security update 2964358. Security update 2964444 is intended for systems that do not have security update 2929437 installed.
File hash information
Properties

Article ID: 2965111 - Last Review: Jun 11, 2014 - Revision: 1

Feedback